
//----------------------------------------------------
// The following code was generated by CUP v0.10g
// Thu Feb 14 21:00:45 CST 2019
//----------------------------------------------------

package Parse;

/** CUP generated class containing symbol constants. */
public class sym {
  /* terminals */
  static final int DIVIDE = 18;
  static final int FUNCTION = 42;
  static final int GE = 24;
  static final int LPAREN = 8;
  static final int INT = 4;
  static final int ARRAY = 28;
  static final int FOR = 33;
  static final int MINUS = 16;
  static final int RPAREN = 9;
  static final int SEMICOLON = 7;
  static final int AND = 25;
  static final int LT = 21;
  static final int TYPE = 44;
  static final int NIL = 41;
  static final int IN = 37;
  static final int OR = 26;
  static final int COMMA = 5;
  static final int PLUS = 15;
  static final int ASSIGN = 27;
  static final int IF = 29;
  static final int DOT = 14;
  static final int ID = 2;
  static final int LE = 22;
  static final int OF = 39;
  static final int EOF = 0;
  static final int error = 1;
  static final int NEQ = 20;
  static final int BREAK = 40;
  static final int EQ = 19;
  static final int LBRACK = 10;
  static final int TIMES = 17;
  static final int COLON = 6;
  static final int LBRACE = 12;
  static final int ELSE = 31;
  static final int RBRACK = 11;
  static final int TO = 34;
  static final int WHILE = 32;
  static final int LET = 36;
  static final int THEN = 30;
  static final int RBRACE = 13;
  static final int END = 38;
  static final int STRING = 3;
  static final int GT = 23;
  static final int VAR = 43;
  static final int DO = 35;

  /* non terminals */
  static final int Exp = 1;
  static final int $START = 0;
  static final int Var = 2;
}

